Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Apartments
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
        GET
      • Get Apartment Details
        GET
      • Apartment Status
        PATCH
      • Create Apartment
        POST
      • Update Apartment
        PATCH
      • Delete Apartment
        DELETE
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Apartments

Update Apartment

PATCH
/admin/apartments/{id}
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params multipart/form-data

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/admin/apartments/6762720a2cdc4c4c6fd97cee' \
--header 'Authorization: Bearer <token>' \
--form 'type="Deluxe"' \
--form 'location="city center"' \
--form 'price="500000"' \
--form 'facilities="[\"Air Condition\", \"Wi-Fi\", \"Nice View\", \"24hr Electricity\"]"' \
--form 'description="TOur Deluxe room, more spacious than both the Standard and Royal Single, is crafted for guests who appreciate the luxury of space and comfort. It comes with a plush single-occupancy cushioned area, a 6 feet by 7 feet bed, and ample storage. The room boasts a mini-fridge, air conditioning, a smart TV, a hairdryer, and facilities for making tea or coffee, plus a complimentary breakfast.."' \
--form 'images=@""' \
--form 'totalRooms="5"' \
--form 'name="Abdullah Micheal"' \
--form 'email="abdullahyahaya46@gmail.com"' \
--form 'phone="+2348089887632"'
Response Response Example
{
    "status": true,
    "message": "Success! the apartment has been updated successfully",
    "data": {
        "apartment": {
            "_id": "6762720a2cdc4c4c6fd97cee",
            "type": "Deluxe",
            "adminId": "653d63a82efc5eeb5d037c3e",
            "price": 500000,
            "totalRooms": 5,
            "location": "city center",
            "description": "TOur Deluxe room, more spacious than both the Standard and Royal Single, is crafted for guests who appreciate the luxury of space and comfort. It comes with a plush single-occupancy cushioned area, a 6 feet by 7 feet bed, and ample storage. The room boasts a mini-fridge, air conditioning, a smart TV, a hairdryer, and facilities for making tea or coffee, plus a complimentary breakfast..",
            "facilities": [
                "Air Condition",
                "Wi-Fi",
                "Nice View",
                "24hr Electricity"
            ],
            "comments": [],
            "images": [
                "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/apartments%2F1734504948731_0_image%2Fpng?alt=media&token=604c8ab6-9b10-46e1-bf77-b384cc855e8c"
            ],
            "isAvailable": false,
            "reservations": [],
            "createdAt": "2024-12-18T06:56:10.558Z",
            "updatedAt": "2024-12-18T16:06:50.091Z",
            "email": "abdullahyahaya46@gmail.com",
            "name": "Abdullah Micheal",
            "phone": "+2348089887632"
        }
    }
}
Modified at 2026-03-12 17:03:01
Previous
Create Apartment
Next
Delete Apartment
Built with